#!/bin/sh

INPUT_FILE1="input_test1.txt"
INPUT_FILE2="input_test2.txt"

OUTPUT_FILE1="output_test1.txt"
OUTPUT_FILE2="output_test2.txt"

################################
# ファイルを1行ずつ読み込む
# 行中にスペース文字を含む場合
while read line; do

  # 読み込んだ行にメッセージを追加してファイルにOUTPUTする
  echo "${line} CHECK OK" >> ${OUTPUT_FILE1}

done < ${INPUT_FILE1}


################################
# ファイルを1行ずつ読み込む
# 行中にスペース文字が無い場合
for line2 in `cat ${INPUT_FILE2}`; do

  # 読み込んだ行をカンマで区切ったカラムに分けて、
  # 順番を入れ替えてファイルにOUTPUTする
  SPLIT_COLUMU=`echo ${line2} | awk -F , '{print $1","$2","$4","$3}'`
  echo "${SPLIT_COLUMU}" >> ${OUTPUT_FILE2}

done

#################
# 実行結果表示

echo "----- INPUT_FILE1の内容"
cat ${INPUT_FILE1}
echo "----- INPUT_FILE1の各行にメッセージを追加して作ったOUTPUT_FILE1の内容"
cat ${OUTPUT_FILE1}
echo ""
echo "----- INPUT_FILE2の内容"
cat ${INPUT_FILE2}
echo "----- INPUT_FILE2の3カラム目と4カラム目を入れ替えて作ったOUTPUT_FILE2の内容"
cat ${OUTPUT_FILE2}
