#!/usr/bin/perl

# usage
# tips_hikisuu.pl YYYY-MM-DD

#------
# 引数チェック
#------
if ($ARGV[0] eq ""){
	print "引数がありません\n";
	print "使い方：tips_hikisuu.pl YYYY-MM-DD\n";
	print "YYYY-MM-DDはETL対象となる日付を指定。範囲指定不可\n";
	exit(1);
} elsif ($ARGV[0] !~ /^[0-9]{4}-[0-9]{2}-[0-9]{2}$/){
	print "引数の指定が違います\n";
	print "使い方：tips_hikisuu.pl YYYY-MM-DD\n";
	print "YYYY-MM-DDはETL対象となる日付を指定。範囲指定不可\n";
	exit(2);
} else {
	print "ETL対象の日付は$ARGV[0]です。\n";
}
